html_notebook_output {rmarkdown} | R Documentation

## Generate R Notebook Output

### Description

Utilities for generating output for the `html_notebook` format, through the `output_source` function attached to a `output_format`.

### Usage

    html_notebook_output_html(html, meta = NULL)

    html_notebook_output_img(path = NULL, bytes = NULL, attributes = NULL,
      meta = NULL, format = c("png", "jpeg"))

    html_notebook_output_png(path = NULL, bytes = NULL, attributes = NULL,
      meta = NULL, format = c("png", "jpeg"))

    html_notebook_output_code(code, attributes = list(class = "r"), meta = NULL)

### Arguments

`html` | Arbitrary HTML content to insert.
`meta` | An R list of arbitrary meta-data. The data will be converted to JSON, base64-encoded, and injected into the header comment.
`path` | A path to a file. For functions accepting both `path` and `bytes`, if `bytes` is `NULL`, the bytewise contents will be obtained by reading the file.
`bytes` | The bytewise representation of content.
`attributes` | A named R list of HTML attributes. These will be escaped and inserted into the generated HTML as appropriate.
`format` | The image format; one of `"png"` or `"jpeg"`.
`code` | Source code.

### Details

For more details on the HTML file format produced by `html_notebook`, see http://rmarkdown.rstudio.com/r_notebook_format.html.

[Package rmarkdown version 1.2 Index]